export declare class FileSystemLocalStorage implements Storage {
    private readonly dir;
    constructor(directory: string);
    get length(): number;
    key(index: number): string | null;
    getItem(key: string): string | null;
    setItem(key: string, value: string): void;
    removeItem(key: string): void;
    clear(): void;
    private keys;
    private filePath;
    private encodeKey;
    private decodeKey;
}
